javax.jdo.metadata

## Interface CollectionMetadata

- All Superinterfaces:
    Metadata

      public interface CollectionMetadata
      extends Metadata

  Represents details of a collection in a field/property in a class.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getDependentElement()` Accessor for whether the element is dependent
    `String` | `getElementType()` Accessor for the element type.
    `Boolean` | `getEmbeddedElement()` Accessor for whether the element is embedded.
    `Boolean` | `getSerializedElement()` Accessor for whether the element is serialised.
    `CollectionMetadata` | `setDependentElement(boolean val)` Method to set whether the element is dependent.
    `CollectionMetadata` | `setElementType(String type)` Method to set the name of the element type.
    `CollectionMetadata` | `setEmbeddedElement(boolean val)` Method to set whether the element is embedded.
    `CollectionMetadata` | `setSerializedElement(boolean val)` Method to set whether the element is serialised.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setElementType

          CollectionMetadata setElementType(String type)

      Method to set the name of the element type.
      Parameters:
        `type` - Name of the element type
      Returns:
        This metadata object

    - #### getElementType

          String getElementType()

      Accessor for the element type.
      Returns:
        The element type

    - #### setEmbeddedElement

          CollectionMetadata setEmbeddedElement(boolean val)

      Method to set whether the element is embedded.
      Parameters:
        `val` - Whether it is embedded
      Returns:
        This metadata object

    - #### getEmbeddedElement

          Boolean getEmbeddedElement()

      Accessor for whether the element is embedded.
      Returns:
        whether the element is embedded

    - #### setSerializedElement

          CollectionMetadata setSerializedElement(boolean val)

      Method to set whether the element is serialised.
      Parameters:
        `val` - Whether it is serialised
      Returns:
        This metadata object

    - #### getSerializedElement

          Boolean getSerializedElement()

      Accessor for whether the element is serialised.
      Returns:
        whether the element is serialised

    - #### setDependentElement

          CollectionMetadata setDependentElement(boolean val)

      Method to set whether the element is dependent.
      Parameters:
        `val` - Whether it is dependent
      Returns:
        This metadata object

    - #### getDependentElement

          Boolean getDependentElement()

      Accessor for whether the element is dependent
      Returns:
        whether the element is dependent

Copyright © 2005–1970 Apache Software Foundation. All rights reserved.